.hide {
  display: none !important;
}

.clearfix {
  &:before,
  &:after {
    content: "";
    display: table;
  }
  &:after { 
    clear: both; 
  }
}

.left {
  float:left;
}

.right {
  float:right;
}

.full-width {
  width:100%;
}

.half-width {
  width:50%;
}

.third-width {
  width:33%;
}

.quarter-width  {
  width:25%;
}

.fixed {
  position: fixed;
}

.relative {
  position: relative;
}

.absolute {
  position: absolute;
}

.static {
  position: static;
}

.text-left {
  text-align:left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-uppercase {
  text-transform: uppercase;
}

.hidden-md-up{
  display: none;
}
.no-wrap-safari{
  flex-wrap: nowrap;
}
.fake-bg{
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.opacity{
  opacity: 0;
}
.kaart-responsive{
  max-width: 100%;
  display: block;
  margin: auto;
}

.img-responsive{
  max-width: 100%;
  display: block;
  margin: auto;
}

@include breakpoint(tablet) { 
  .hide-for-small {
    display: none !important;
  }
  .show-for-small {
    display: block !important;
  }
}

@include breakpoint(phone) {
  .hide-for-small {
    display: none !important;
  }
  .show-for-small {
    display: block !important;
  }
}

@include breakpoint(tablet) {
  .show-for-medium-up {
    display: block !important;
  }
  .hide-for-medium-up {
    display: none !important;
  }
}
@include breakpoint(desktop) {
  .show-for-medium-up {
    display: block !important;
  }
  .hide-for-medium-up {
    display: none !important;
  }
}

/*set col*/
[class*='col-'] {
  width: 100%;
  position: relative;
  padding-left: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  margin-bottom: 0;
  display: block;
  &:last-child {
    margin-bottom: 0;
  }

  @media screen and (min-width: $mobile-large) {
    float: left;

    &:last-child {
      // margin-bottom: $value-1;
    }
  }

}

.tag{
  .title{
    display: block;
  }
}

.row{
  margin-left: -10px;
  margin-right: -10px; 
  position: relative;
}

@for $i from 1 through 12 {
  .col-always-#{$i} {
    width: 100% / 12 * $i;
  }
}

@media screen and (min-width: $mobile-large) {
  @for $i from 1 through 12 {
    .col-#{$i} {
      width: 100% / 12 * $i;
    }
  }
}

@media screen and (min-width: $mobile-large) {
  @for $i from 1 through 12 {
    .col-offset-#{$i} {
      margin-left: 100% / 12 * $i;
    }
  }
}

@media screen and (min-width: $mobile-large) {
  @for $i from 1 through 12 {
    .grid-col-#{$i} {
      width: 100% / 12 * $i;
    }
  }
}

@media screen and (min-width: $tablet-large) {
  @for $i from 1 through 12 {
    .grid-col-offset-#{$i} {
      margin-left: 100% / 12 * $i;
    }
  }
}
